package org.project.entity.enemies;

import org.project.abilities.PoisonDagger;
import org.project.item.armors.Armor;
import org.project.item.armors.GoblinArmor;
import org.project.item.weapons.Dagger;

public class Goblin extends Enemy {

    private static final String NAME = "Goblin";
    private static final int MAX_HP = 45;
    private static final int MAX_MP = 50;
    private static final int XP_REWARD = 30;
    private static final int BASE_DAMAGE = 5;

    private final Armor personalArmor = new GoblinArmor();

    public Goblin() {

        super(
                NAME,
                MAX_HP,
                MAX_MP,
                XP_REWARD,
                BASE_DAMAGE,
                null,
                new Dagger(),
                new PoisonDagger()
        );
    }

    @Override
    public Armor getPersonalArmor() {
        return personalArmor;
    }

    @Override
    public String toString() {
        return "Goblin{" +
                "MAX_HP : 45 | " +
                "MAX_MP : 50 | " +
                "XP_REWARD : 30 | " +
                "BASE_DAMAGE : 5 | " +
                "personalArmor = " + personalArmor +
                '}';
    }
}
